com.dlsc.flexgantt.model.eventline

## Interface IEventlineSelectionModel

- All Known Implementing Classes:
    DefaultEventlineSelectionModel

      public interface IEventlineSelectionModel

  A definition for a selection model that can be used by the `Eventline` to manage its current selection state.
  Since:
    1.0
  Version:
    $Revision: 1.7 $
  Author:
    Dirk Lemmermann
  See Also:
    `Eventline.setSelectionModel(IEventlineSelectionModel)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IEventlineSelectionModel.Mode` An enumeration of supported selection modes.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventlineSelectionListener(IEventlineSelectionListener l)` Adds a selection listener to the model.
    `void` | `addSelection(Object eventlineObject)` Adds an object to the selection.
    `void` | `clearSelection()` Clear the current selection.
    `Object[]` | `getSelection()` Returns all currently selected eventline objects.
    `IEventlineSelectionModel.Mode` | `getSelectionMode()` Returns the selection mode.
    `boolean` | `isSelected(Object eventlineObject)` Checks whether the given eventline object is currently selected.
    `void` | `removeEventlineSelectionListener(IEventlineSelectionListener l)` Removes a selection listener from the model.
    `void` | `removeSelection(Object eventlineObject)` Removes an object from the selection.
    `void` | `setSelectionMode(IEventlineSelectionModel.Mode mode)` Sets the selection mode.

- - ### Method Detail

    - #### getSelectionMode

          IEventlineSelectionModel.Mode getSelectionMode()

      Returns the selection mode.
      Returns:
        the selection mode
      Since:
        1.0

    - #### setSelectionMode

          void setSelectionMode(IEventlineSelectionModel.Mode mode)

      Sets the selection mode.
      Parameters:
        `mode` - the selection mode
      Since:
        1.0

    - #### addSelection

          void addSelection(Object eventlineObject)

      Adds an object to the selection.
      Parameters:
        `eventlineObject` - the eventline object that gets added to the current selection
      Since:
        1.0

    - #### removeSelection

          void removeSelection(Object eventlineObject)

      Removes an object from the selection.
      Parameters:
        `eventlineObject` - the eventline object that gets removed from the current selection
      Since:
        1.0

    - #### clearSelection

          void clearSelection()

      Clear the current selection.
      Since:
        1.0

    - #### isSelected

          boolean isSelected(Object eventlineObject)

      Checks whether the given eventline object is currently selected.
      Parameters:
        `eventlineObject` - the eventline object to check
      Returns:
        TRUE if the given eventline object is currently selected
      Since:
        1.0

    - #### getSelection

          Object[] getSelection()

      Returns all currently selected eventline objects.
      Returns:
        all selected eventline objects
      Since:
        1.0

    - #### addEventlineSelectionListener

          void addEventlineSelectionListener(IEventlineSelectionListener l)

      Adds a selection listener to the model.
      Parameters:
        `l` - the listener to add
      Since:
        1.0
      See Also:
        `removeEventlineSelectionListener(IEventlineSelectionListener)`

    - #### removeEventlineSelectionListener

          void removeEventlineSelectionListener(IEventlineSelectionListener l)

      Removes a selection listener from the model.
      Parameters:
        `l` - the listener to remove
      Since:
        1.0
      See Also:
        `addEventlineSelectionListener(IEventlineSelectionListener)`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.